/* eslint-disable */
import { yd_login, j_login } from "@/service/user";
import { isYdUser, setCookie } from "@/utils/util";
import { redirectToLogin, delCookie } from "@/utils/util";
import { ElMessage } from "element-plus";

export default {
  state: {},
  mutations: {},
  actions: {
      async userLogin({commit}, { payload }) {
          let flag = isYdUser(payload.email);
          let params;
          if(!flag) {
            params = new URLSearchParams();
            params.append('email', payload.email);
            params.append('password', payload.password);
          }
          let res = flag ? await yd_login(payload) : await j_login(params)
          let storage = window.localStorage;
          if (res.userInfo && !storage['uid']) {
            storage['YD_PANDORA_auth'] = JSON.stringify(res.auth || {})
            storage['YD_PANDORA_JWT_TOKEN'] = (res.type + ' ' + res.token )|| ''
            storage['YD_PANDORA_user'] = JSON.stringify(res.userInfo || {})
            setCookie('uid', res.userInfo && res.userInfo.id, 16)
            setCookie('YD_PANDORA_UID', res.userInfo && res.userInfo.id, 16)
            setCookie('userid', res.userInfo && res.userInfo.id, 16)
            setCookie('username', res.userInfo && res.userInfo.email, 16)
            setCookie('nickname', res.userInfo && res.userInfo.displayName, 16)
            setCookie('YD_PANDORA_JWT_TOKEN', (res.type + ' ' + res.token )|| '', 16)
            storage['isDefault'] = 1;
            return true
          } else if(+res.code === 0){
            storage['isDefault'] = 2;
            setCookie('username', payload.email, 16);
            return true
          } else {
            ElMessage.error(res);
          }
      },
      logout() {
        return new Promise((resolve) => {
            window.localStorage.clear();
            delCookie('username');
            redirectToLogin()
            resolve()
        });
      }
  },
  getters: {},
  namespaced: true
}
